%define rev 1349

Summary:	AppArmor userlevel parser utility
Name:		apparmor-parser
Version:	2.3.1
Release:	%mkrel 1.%{rev}.2
License:	GPL
Group:		System/Base
URL:		http://forge.novell.com/modules/xfmod/project/?apparmor
Source0:	%{name}-%{version}-%{rev}.tar.gz
Patch:          apparmor-2.1-961-condreload.patch
BuildRequires:  flex
BuildRequires:  latex2html
BuildRequires:  bison
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  perl-devel
Requires(preun): rpm-helper
Requires(post): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
AppArmor is a security framework that proactively protects the operating system
and applications.

AppArmor Parser is a userlevel program that is used to load in program
profiles to the AppArmor Security kernel module.


%prep
%setup -q
%patch -p0 -b .condrestart

%build
%serverbuild

%make CFLAGS="$RPM_OPT_FLAGS" TESTBUILDDIR=$(pwd)

%install
rm -rf %{buildroot}

%{makeinstall_std} DISTRO=redhat TESTBUILDDIR=$(pwd)

cat > README.urpmi << EOF
Mandriva RPM specific notes 

AppArmor is no longer a kernel module: instead, it is built in to the kernel.
To enable it, you can pass the apparmor=1 parameter to the kernel command line.
Kernel parameters can be added with the drakboot utility, Mandriva's boot
configuration tool, available from the Mandriva Control Center; by editing the
bootloader configuration file - /boot/grub/menu.lst for GRUB or /etc/lilo.conf
for LILO - manually; or by entering the kernel parameter after selecting the
desired kernel on the boot menu screen. 
EOF

%post
%_post_service apparmor
%_post_service aaeventd

%preun
%_preun_service apparmor
%_preun_service aaeventd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.GPL README*
%dir %{_sysconfdir}/apparmor
%config(noreplace) %{_sysconfdir}/apparmor/subdomain.conf
%{_sysconfdir}/init.d/aaeventd
%{_sysconfdir}/init.d/apparmor
# no lib64
%dir /lib/apparmor
/lib/apparmor/rc.apparmor.functions
/sbin/*
%{_datadir}/locale/*/*/apparmor-parser.mo
%{_mandir}/man5/apparmor.d.5*
%{_mandir}/man5/apparmor.vim.5*
%{_mandir}/man5/subdomain.conf.5*
%{_mandir}/man7/apparmor.7*
%{_mandir}/man8/apparmor_parser.8*
%{_var}/lib/apparmor



%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.1-1.1349.2mdv2010.0
+ Revision: 413033
- rebuild

* Sat Jan 03 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.3.1-1.1349.1mdv2009.1
+ Revision: 323493
- Updated to 2.3.1-r1349 (as shipped by SuSE 11.1), and added an urpmi note.

* Wed Aug 06 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 2.3-1.1268.1mdv2009.0
+ Revision: 264723
- updated to version 2.3 svnrev 1268

* Thu Feb 28 2008 Andreas Hasenack <andreas@mandriva.com> 2.1.2-1.1088.1mdv2008.1
+ Revision: 176219
- apparmor-parser updated to 2.1.2-1088
- apparmor becomes apparmor-parser

* Thu Jan 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1-1.1076.2mdv2008.1
+ Revision: 154124
- rebuild for new perl

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.1-1.1076.1mdv2008.1
+ Revision: 146893
- updated to svn revision 1076

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.5mdv2008.0
+ Revision: 91191
- remove more profiles from standard package: they are shipped in their own packages now

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.4mdv2008.0
+ Revision: 91061
- drop rpcbind profile, it's shipped in the rpcbind package now

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.3mdv2008.0
+ Revision: 85766
- bonobo file is under a noarch libdir
- build dbus and gnome applet packages

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.1mdv2008.0
+ Revision: 85546
- install perl module in arch dir as the makefile does for x86_64 (doesn't seem right, though)
- make it not require an installed libapparmor-devel to build
- added swig to buildrequires
- added profile for rpcbind
- fix default syslog profile
- obsolete apparmor-docs (manpages are in each package now)
- better place for the LibAppArmor module
- build apache-mod_apparmor package
- install LibAppArmor.pm
- added utils subpackage
- Import apparmor

